/*
 * Created on 2004/08/30
 *
 */
package jnet.hirommy.gui;

import javax.swing.JInternalFrame;
import javax.swing.JTextArea;

import jnet.hirommy.util.InfoLogger;
import jnet.hirommy.util.file.IncomInfoWriter;
import jnet.hirommy.util.file.InfoWriter;
import jnet.hirommy.util.file.MyInfoWriter;

import javax.swing.JButton;
import javax.swing.JScrollPane;
import java.awt.BorderLayout;
import javax.swing.JPanel;
import javax.swing.text.BadLocationException;
import java.awt.GridLayout;
import java.awt.FlowLayout;
import java.util.Calendar;

import javax.swing.JLabel;
import javax.swing.JTextField;
/**
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public class InfoLogVieweInternalFrame extends JInternalFrame {
	
	public static final int WIDTH = MainWindow.WIDTH - FileManegerControlInternalFrame.WIDTH - 20;
	public static final int HEIGHT = MainWindow.HEIGHT - 90;
	
	private String time;
	
	private javax.swing.JPanel jContentPane = null;

	private JTextArea jTextArea = null;
	private JButton jButton = null;
	private JScrollPane jScrollPane = null;
	private JPanel jPanel = null;
	private JPanel jPanel1 = null;
	private JScrollPane jScrollPane1 = null;
	private JTextArea jTextArea1 = null;
	private JButton jButton2 = null;
	private JPanel jPanel2 = null;
	private JPanel jPanel3 = null;
	private JButton jButton3 = null;
	private JButton jButton5 = null;
	private JLabel jLabel = null;
	private JLabel jLabel1 = null;
	private JButton jButton1 = null;
	private JTextField jTextField = null;
	private JButton jButton4 = null;
	private JTextField jTextField1 = null;
	/**
	 * This is the default constructor
	 */
	public InfoLogVieweInternalFrame() {
		super("Infomation Log Viewer");
		initialize();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(WIDTH,HEIGHT);
		this.setBackground(new java.awt.Color(204,204,204));
		this.setContentPane(getJContentPane());
	}
	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private javax.swing.JPanel getJContentPane() {
		if(jContentPane == null) {
			java.awt.GridLayout gridLayout4 = new GridLayout();
			jContentPane = new javax.swing.JPanel();
			jContentPane.setLayout(gridLayout4);
			gridLayout4.setRows(2);
			jContentPane.add(getJPanel(), null);
			jContentPane.add(getJPanel1(), null);
		}
		return jContentPane;
	}
	/**
	 * This method initializes jTextArea	
	 * 	
	 * @return javax.swing.JTextArea	
	 */    
	private JTextArea getJTextArea() {
		if (jTextArea == null) {
			jTextArea = new JTextArea();
			jTextArea.setBackground(new java.awt.Color(233,232,232));
		}
		return jTextArea;
	}
	/**
	 * This method initializes jButton	
	 * 	
	 * @return javax.swing.JButton	
	 */ 
	
	private JButton getJButton() {
		if (jButton == null) {
			jButton = new JButton();
			jButton.setText("Update and Display");
			jButton.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			jButton.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {
					// update this viewer.
					jTextArea.insert(InfoLogger.getInstance().toStringMyInfo(), 0);
				}
			});
		}
		return jButton;
	}
	/**
	 * This method initializes jScrollPane	
	 * 	
	 * @return javax.swing.JScrollPane	
	 */    
	private JScrollPane getJScrollPane() {
		if (jScrollPane == null) {
			jScrollPane = new JScrollPane();
			jScrollPane.setViewportView(getJTextArea());
		}
		return jScrollPane;
	}
	/**
	 * This method initializes jPanel	
	 * 	
	 * @return javax.swing.JPanel	
	 */    
	private JPanel getJPanel() {
		if (jPanel == null) {
			jPanel = new JPanel();
			jPanel.setLayout(new BorderLayout());
			jPanel.add(getJPanel2(), java.awt.BorderLayout.NORTH);
			jPanel.add(getJScrollPane(), java.awt.BorderLayout.CENTER);
		}
		return jPanel;
	}
	/**
	 * This method initializes jPanel1	
	 * 	
	 * @return javax.swing.JPanel	
	 */    
	private JPanel getJPanel1() {
		if (jPanel1 == null) {
			jPanel1 = new JPanel();
			jPanel1.setLayout(new BorderLayout());
			jPanel1.add(getJPanel3(), java.awt.BorderLayout.NORTH);
			jPanel1.add(getJScrollPane1(), java.awt.BorderLayout.CENTER);
		}
		return jPanel1;
	}
	/**
	 * This method initializes jScrollPane1	
	 * 	
	 * @return javax.swing.JScrollPane	
	 */    
	private JScrollPane getJScrollPane1() {
		if (jScrollPane1 == null) {
			jScrollPane1 = new JScrollPane();
			jScrollPane1.setViewportView(getJTextArea1());
		}
		return jScrollPane1;
	}
	/**
	 * This method initializes jTextArea1	
	 * 	
	 * @return javax.swing.JTextArea	
	 */    
	private JTextArea getJTextArea1() {
		if (jTextArea1 == null) {
			jTextArea1 = new JTextArea();
			jTextArea1.setBackground(new java.awt.Color(233,232,232));
		}
		return jTextArea1;
	}
	/**
	 * This method initializes jButton2	
	 * 	
	 * @return javax.swing.JButton	
	 */    
	private JButton getJButton2() {
		if (jButton2 == null) {
			jButton2 = new JButton();
			jButton2.setText("Delete first line");
			jButton2.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			jButton2.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {    
					// delete first line.
					try {
						jTextArea.replaceRange(null, 0, jTextArea.getLineEndOffset(0));
					} catch (BadLocationException e1) {
						System.out.println("Error : error in file manager.");
						e1.printStackTrace();
					}
				}
			});
		}
		return jButton2;
	}
	/**
	 * This method initializes jPanel2	
	 * 	
	 * @return javax.swing.JPanel	
	 */    
	private JPanel getJPanel2() {
		if (jPanel2 == null) {
			jLabel = new JLabel();
			jPanel2 = new JPanel();
			jPanel2.setLayout(new FlowLayout());
			jLabel.setText("Mine >>  ");
			jLabel.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			jPanel2.add(jLabel, null);
			jPanel2.add(getJButton(), null);
			jPanel2.add(getJButton2(), null);
			jPanel2.add(getJButton1(), null);
			jPanel2.add(getJTextField(), null);
		}
		return jPanel2;
	}
	/**
	 * This method initializes jPanel3	
	 * 	
	 * @return javax.swing.JPanel	
	 */    
	private JPanel getJPanel3() {
		if (jPanel3 == null) {
			jLabel1 = new JLabel();
			jPanel3 = new JPanel();
			jLabel1.setText("Others >>  ");
			jLabel1.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			jPanel3.add(jLabel1, null);
			jPanel3.add(getJButton3(), null);
			jPanel3.add(getJButton5(), null);
			jPanel3.add(getJButton4(), null);
			jPanel3.add(getJTextField1(), null);
		}
		return jPanel3;
	}
	/**
	 * This method initializes jButton3	
	 * 	
	 * @return javax.swing.JButton	
	 */    
	private JButton getJButton3() {
		if (jButton3 == null) {
			jButton3 = new JButton();
			jButton3.setText("Update and Display");
			jButton3.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			jButton3.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {
					// update and display target infomation.
					jTextArea1.insert(InfoLogger.getInstance().toStringTargetTerminal(), 0);
				}
			});
		}
		return jButton3;
	}
	/**
	 * This method initializes jButton5	
	 * 	
	 * @return javax.swing.JButton	
	 */    
	private JButton getJButton5() {
		if (jButton5 == null) {
			jButton5 = new JButton();
			jButton5.setText("Delete first line");
			jButton5.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			jButton5.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {
					// delete first line.
					try {
						jTextArea1.replaceRange(null, 0, jTextArea1.getLineEndOffset(0));
					} catch (BadLocationException e1) {
						System.out.println("Error : error in file manager.");
						e1.printStackTrace();
					}
				}
			});
		}
		return jButton5;
	}
	/**
	 * This method initializes jButton1	
	 * 	
	 * @return javax.swing.JButton	
	 */    
	private JButton getJButton1() {
		if (jButton1 == null) {
			jButton1 = new JButton();
			jButton1.setText("Save");
			jButton1.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			jButton1.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {
					// save data.
					InfoWriter writer = new MyInfoWriter();
					writer.write(jTextField.getText(), jTextArea.getText());
				}
			});
		}
		return jButton1;
	}
	/**
	 * This method initializes jTextField	
	 * 	
	 * @return javax.swing.JTextField	
	 */    
	private JTextField getJTextField() {
		Calendar c = Calendar.getInstance();
		time = String.valueOf(c.get(Calendar.YEAR)) + "_";
		time += String.valueOf(Calendar.MONTH + 1) + "_";
		time += String.valueOf(Calendar.DAY_OF_MONTH) + "_";
		if (jTextField == null) {
			jTextField = new JTextField();
			jTextField.setText(time);
			jTextField.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 14));
			jTextField.setPreferredSize(new java.awt.Dimension(200,23));
		}
		return jTextField;
	}
	/**
	 * This method initializes jButton4	
	 * 	
	 * @return javax.swing.JButton	
	 */    
	private JButton getJButton4() {
		if (jButton4 == null) {
			jButton4 = new JButton();
			jButton4.setText("Save");
			jButton4.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 14));
			jButton4.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {
					// save data.
					InfoWriter writer = new IncomInfoWriter();
					writer.write(jTextField1.getText(), jTextArea1.getText());
				}
			});
		}
		return jButton4;
	}
	/**
	 * This method initializes jTextField1	
	 * 	
	 * @return javax.swing.JTextField	
	 */    
	private JTextField getJTextField1() {
		Calendar c = Calendar.getInstance();
		time = String.valueOf(c.get(Calendar.YEAR)) + "_";
		time += String.valueOf(Calendar.MONTH + 1) + "_";
		time += String.valueOf(Calendar.DAY_OF_MONTH) + "_";
		if (jTextField1 == null) {
			jTextField1 = new JTextField();
			jTextField1.setText(time);
			jTextField1.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 14));
			jTextField1.setPreferredSize(new java.awt.Dimension(200,23));
		}
		return jTextField1;
	}
}  //  @jve:decl-index=0:visual-constraint="14,41"
