/*
 * Created on 2004/08/09
 *
 */
package jnet.hirommy.gui;

import javax.swing.JInternalFrame;

import java.awt.GridLayout;

import javax.swing.JPanel;
/**
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public class ViewerSetUpInternalFrame extends JInternalFrame {
	
	static final int HEIGHT = 210;
	static final int WIDTH = 300;
	
	private JPanel jPanel = null;
	private ViwereContlolPanel gpsViwereContlolPanel = null;
	private ViewerControlComponentsViewerRange viewerControlComponentsViewerRange = null;
	private ViewerControlComponentsViewerTheme viewerControlComponentsViewerTheme = null;
	private ViewerControlComponentsTargetSize viewerControlComponentsTargetSize = null;
	private ViewerControlComponentsChexBoxPanel1 viewerControlComponentsChexBoxPanel1 = null;
	private ViewerControlComponentsChexBoxPanel2 viewerControlComponentsChexBoxPanel2 = null;
	private ViewerControlComponentsChexBoxPanel3 viewerControlComponentsChexBoxPanel3 = null;
	/**
	 * This is the default constructor
	 */
	public ViewerSetUpInternalFrame() {
		super();
		initialize();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setIconifiable(false);
		this.setResizable(false);
		this.setBackground(new java.awt.Color(204,204,204));
		this.setContentPane(getJPanel());
		this.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 14));
		this.setTitle("GpsViewer SetUp Window");
		this.setSize(WIDTH, HEIGHT);
	}
	/**
	 * This method initializes jPanel	
	 * 	
	 * @return javax.swing.JPanel	
	 */    
	private JPanel getJPanel() {
		if (jPanel == null) {
			java.awt.GridLayout gridLayout10 = new GridLayout();
			jPanel = new JPanel();
			jPanel.setLayout(gridLayout10);
			gridLayout10.setRows(7);
			gridLayout10.setColumns(1);
			gridLayout10.setHgap(0);
			gridLayout10.setVgap(4);
			jPanel.add(getGpsViwereContlolPanel(), null);
			jPanel.add(getViewerControlComponentsViewerTheme(), null);
			jPanel.add(gpsViewerControlComponentsViewerRange(), null);
			jPanel.add(getViewerControlComponentsTargetSize(), null);
			jPanel.add(getViewerControlComponentsChexBoxPanel1(), null);
			jPanel.add(getViewerControlComponentsChexBoxPanel2(), null);
			jPanel.add(getViewerControlComponentsChexBoxPanel3(), null);
		}
		return jPanel;
	}
	/**
	 * This method initializes gpsViwereContlolPanel	
	 * 	
	 * @return jnet.hirommy.gui.GpsViwereContlolPanel	
	 */    
	private ViwereContlolPanel getGpsViwereContlolPanel() {
		if (gpsViwereContlolPanel == null) {
			gpsViwereContlolPanel = new ViwereContlolPanel();
			gpsViwereContlolPanel.setName("gpsViwereContlolPanel");
		}
		return gpsViwereContlolPanel;
	}
	/**
	 * This method initializes gpsViewerControlComponentsViewerRange	
	 * 	
	 * @return jnet.hirommy.gui.GpsViewerControlComponentsViewerRange	
	 */    
	private ViewerControlComponentsViewerRange gpsViewerControlComponentsViewerRange() {
		if (viewerControlComponentsViewerRange == null) {
			viewerControlComponentsViewerRange = new ViewerControlComponentsViewerRange();
		}
		return viewerControlComponentsViewerRange;
	}
	/**
	 * This method initializes viewerControlComponentsViewerTheme	
	 * 	
	 * @return jnet.hirommy.gui.ViewerControlComponentsViewerTheme	
	 */    
	private ViewerControlComponentsViewerTheme getViewerControlComponentsViewerTheme() {
		if (viewerControlComponentsViewerTheme == null) {
			viewerControlComponentsViewerTheme = new ViewerControlComponentsViewerTheme();
		}
		return viewerControlComponentsViewerTheme;
	}
	/**
	 * This method initializes viewerControlComponentsTargetSize	
	 * 	
	 * @return jnet.hirommy.gui.ViewerControlComponentsTargetSize	
	 */    
	private ViewerControlComponentsTargetSize getViewerControlComponentsTargetSize() {
		if (viewerControlComponentsTargetSize == null) {
			viewerControlComponentsTargetSize = new ViewerControlComponentsTargetSize();
		}
		return viewerControlComponentsTargetSize;
	}
	/**
	 * This method initializes viewerControlComponentsChexBoxPanel1	
	 * 	
	 * @return jnet.hirommy.gui.ViewerControlComponentsChexBoxPanel1	
	 */    
	private ViewerControlComponentsChexBoxPanel1 getViewerControlComponentsChexBoxPanel1() {
		if (viewerControlComponentsChexBoxPanel1 == null) {
			viewerControlComponentsChexBoxPanel1 = new ViewerControlComponentsChexBoxPanel1();
		}
		return viewerControlComponentsChexBoxPanel1;
	}
	/**
	 * This method initializes viewerControlComponentsChexBoxPanel2	
	 * 	
	 * @return jnet.hirommy.gui.ViewerControlComponentsChexBoxPanel2	
	 */    
	private ViewerControlComponentsChexBoxPanel2 getViewerControlComponentsChexBoxPanel2() {
		if (viewerControlComponentsChexBoxPanel2 == null) {
			viewerControlComponentsChexBoxPanel2 = new ViewerControlComponentsChexBoxPanel2();
		}
		return viewerControlComponentsChexBoxPanel2;
	}
	/**
	 * This method initializes viewerControlComponentsChexBoxPanel3	
	 * 	
	 * @return jnet.hirommy.gui.ViewerControlComponentsChexBoxPanel3	
	 */    
	private ViewerControlComponentsChexBoxPanel3 getViewerControlComponentsChexBoxPanel3() {
		if (viewerControlComponentsChexBoxPanel3 == null) {
			viewerControlComponentsChexBoxPanel3 = new ViewerControlComponentsChexBoxPanel3();
		}
		return viewerControlComponentsChexBoxPanel3;
	}
   }  //  @jve:decl-index=0:visual-constraint="39,23"
