/*
 * Created on 2004/09/05
 *
 */
package jnet.hirommy.info;

/**
 * This class reprecents target profile.
 * 
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public class TargetProfileImpl implements MyProfile {
	
	// TODO set up my profile.
	private String userName;
	private int authorizeType;
	private int terminalType;
	
	/**
	 * 
	 * @param userName user name.
	 * @param authorizeType authorizatin type.
	 * @param terminalType terminal type.
	 */
	public TargetProfileImpl(String userName,
							  int authorizeType,
							  int terminalType) {
		this.userName = userName;
		this.authorizeType = authorizeType;
		this.terminalType = terminalType;
	}
	/**
	 * string of this class.
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return "<UserName>" + userName + "</UserName>"
				+ "<TerminalType>" + terminalType + "</TerminalType>"
				+ "<AuthorizeType>" + authorizeType + "</AuthorizeType>";
	}
	/**
	 * @return Returns the authorizeType.
	 */
	public int getAuthorizeType() {
		return authorizeType;
	}
	/**
	 * @return Returns the terminalType.
	 */
	public int getTerminalType() {
		return terminalType;
	}
	/**
	 * @return Returns the userName.
	 */
	public String getUserName() {
		return userName;
	}
}
