/*
 * Created on 2004/09/01
 *
 */
package jnet.hirommy.util;

import jnet.hirommy.gui.GpsViewer;
import jnet.hirommy.gui.MyPropertyViewInternalFrame;
import jnet.hirommy.gui.ReceivingInfoViewInternalFrame;
import jnet.hirommy.gui.SimulationTabPanel;
import jnet.hirommy.info.HirommyPacket;

/**
 * This class handle viewer class in simulation panel.
 * 
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public class SimulatinViewerHandlerImpl implements ViewerHandler {

	/**
	 * update GpsViewer.
	 * 
	 * @see jnet.hirommy.util.ViewerHandler#repaintGpsViewer()
	 */
	public void repaintGpsViewer() {
		SimulationTabPanel.getGpsViewerInstance().repaint();
	}

	/**
	 * @see jnet.hirommy.util.ViewerHandler#repaintMyPropertyViewer()
	 */
	public void repaintMyPropertyViewer() {
		
	}

	/**
	 * @see jnet.hirommy.util.ViewerHandler#repaintReceivingInfoViewer()
	 */
	public void repaintReceivingInfoViewer() {
		
	}

	/**
	 * @see jnet.hirommy.util.ViewerHandler#repaintReceivingInfoViewer(jnet.hirommy.info.HirommyPacket)
	 */
	public void repaintReceivingInfoViewer(HirommyPacket hirommyPacket) {
		
	}
	
	/**
	 * This method return GpsViewer instance of Viewer Panel.
	 * 
	 * @return instance of GpsViewer of Viewer Panel.
	 */
	public GpsViewer getGpsViewerInstance() {
		return SimulationTabPanel.getGpsViewerInstance();
	}
	
	/**
	 * This method return MyPropertyViewInternalFrame instance of Viewer Panel.
	 * 
	 * @return instance of MyPropertyViewInternalFrame
	 */
	public MyPropertyViewInternalFrame getMyPropertyViewerInstance() {
		return null;
	}
	
	/**
	 * This method return ReceivingInfoViewInternalFrame instance of Viewer Panel.
	 * 
	 * @return instance of ReceivingInfoViewInternalFrame
	 */
	public ReceivingInfoViewInternalFrame getReceivingInfoViewerInstance() {
		return null;
	}
}
