/*
 * Created on 2004/09/01
 *
 */
package jnet.hirommy.util.file;

import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;

import jnet.hirommy.sim.RealDataSource;

/**
 * This class save RealDataSource object from InfoLogger.
 * RealDataSourece object is serialized.
 * 
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public class RealDataSourceWriter implements FileConst {
	
	/**
	 * save InfoLogger to RealDataSource object.
	 * 
	 * @param fileName file name.
	 */
	public void write(String fileName) {
		try {
			// create ObjectOutputSteram.
			ObjectOutputStream objectOutputStream = 
					new ObjectOutputStream(new FileOutputStream(LOG_FOLDER_NAME + fileName + EXTENTION_NAME));
			
			// save data.
			objectOutputStream.writeObject(RealDataSource.getInstance());
			objectOutputStream.close();
			
			System.out.println("Save data.");
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}
