/*
 * Created on 2004/08/29
 *
 */
package jnet.its.vpec.reflect;

import jnet.hirommy.info.HirommyPacket;

/**
 * This is an interface which judges reflect or not.
 * 
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public interface ReflectAlgorithm {
	/**
	 * It judges whether it is in a Reflect radius.
	 * 
	 * @param hp other terminal infomation.
	 */
	public abstract boolean isInReflectRadius(HirommyPacket hp);
}
