/*
 * Created on 2004/08/19
 *
 */
package jnet.hirommy.util;

import java.awt.Color;

/**
 * This class have theme infomation.
 * 
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public class ThemeImpl implements Theme {
	/**
	 * This method return theme name.
	 * 
	 * @param id theme ID
	 * @return String theme.
	 */
	public static String getThemeName(int id) {
		if (id == NONE) {
			return "NONE";
		} else if (id == KITTY) {
			return "kitty";
		} else if (id == HELLOWEEN) {
			return "helloween";
		} else {
			return "NONE";
		}
	}
	/**
	 * This method return teme ID.
	 * 
	 * @param id id theme ID
	 * @return string color of theme.
	 */
	public static Color getThemeStringColor(int id) {
		if (id == NONE) {
			return Color.BLACK;
		} else if (id == KITTY) {
			return new Color(204, 0, 0);
		} else if (id == HELLOWEEN) {
			return Color.GREEN;
		} else {
			return Color.BLACK;
		}
	}
}
