/*
 * Created on 2004/08/29
 *
 */
package jnet.its.gps;

import java.util.LinkedList;

import jnet.hirommy.info.GpsInfo;

/**
 * This is interface of calculating accel.
 * 
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public interface AccelCalculator {
	/**
	 * The method for calculating accel.
	 * 
	 * @return accel
	 */
	public abstract String calculateAccel(LinkedList lists, GpsInfo gpsInfo, String currentSpeed);
}
