/*
 * Created on 2004/08/29
 *
 */
package jnet.its.gps;

import java.util.LinkedList;

import jnet.hirommy.info.GpsInfo;

/**
 * This is interface of calculating speed.
 * 
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public interface SpeedCalculator {
	/**
	 * The method for calculating speed.
	 * 
	 * @return speed
	 */
	public abstract String calculateSpeed(LinkedList lists, GpsInfo gpsInfo);
}
